Skip to main content
GET
/
v5
/
banks
/
closings
Get closings
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/banks/closings \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "beginDate": "2023-11-07T05:31:56Z",
      "endDate": "2023-11-07T05:31:56Z",
      "endBalance": 123,
      "id": "<string>",
      "bankAccountId": 123,
      "completedDate": "2023-11-07T05:31:56Z",
      "statementUrl": "<string>",
      "createdByUserId": "<string>",
      "closedByUserId": "<string>"
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records updated after the specified date.

cursor
string

The cursor from the response of the previous GET request. For paginated responses only

limit
integer<int32>

The page size, i.e. the number of items to return. For paginated responses only

Query Parameters

bankAccountId
integer<int64>

Bank filter, the id of the bank account used to filter bank closings.

status
enum<string>[]

Status filter - returns all bank reconciliations for the specified statuses. If null or empty, returns all records.

Available options:
IN_PROGRESS,
INACTIVE,
DELETED,
COMPLETED,
DISCREPANCY

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate